class

  _ListViewUtils

brief

  内部で使用する便利関数 Tools からの最低限の流用

## Index

### Variables

- cssPrefixes
- transitionEnd

### Functions

- abs
- clearTransitions
- getCssMatrixValue
- max
- setTransformsTransitions

## Variables

### cssPrefixes

cssPrefixes: string[] = ["-webkit-", "-moz-", "-ms-", "-o-", ""]

- Defined in CDP/UI/listview/Utils.ts:75

css の vender 拡張 prefix を返す

returns

  prefix

### transitionEnd

transitionEnd: "transitionend webkitTransitionEnd oTransitionEnd MSTransitionEnd" = "transitionend webkitTransitionEnd oTransitionEnd MSTransitionEnd"

- Defined in CDP/UI/listview/Utils.ts:121

"transitionend" のイベント名配列を返す

returns

  transitionend イベント名

## Functions

### abs

- abs(x: number): number

- - Defined in CDP/UI/listview/Utils.ts:165

  Math.abs よりも高速な abs

  #### Parameters

  - ##### x: number

  #### Returns number

### Private clearTransitions

- clearTransitions(element: JQuery): void

- - Defined in CDP/UI/listview/Utils.ts:150

  transition 設定の削除

  #### Parameters

  - ##### element: JQuery

  #### Returns void

### getCssMatrixValue

- getCssMatrixValue(element: JQuery, type: string): number

- - Defined in CDP/UI/listview/Utils.ts:84

  css の matrix の値を取得.

  #### Parameters

  - ##### element: JQuery

    [in] 対象の jQuery オブジェクト

  - ##### type: string

    [in] matrix type string [translateX | translateY | scaleX | scaleY]

  #### Returns number

  value

### max

- max(lhs: number, rhs: number): number

- - Defined in CDP/UI/listview/Utils.ts:172

  Math.max よりも高速な max

  #### Parameters

  - ##### lhs: number

  - ##### rhs: number

  #### Returns number

### Private setTransformsTransitions

- setTransformsTransitions(element: JQuery, prop: string, msec: number, timingFunction: string): void

- - Defined in CDP/UI/listview/Utils.ts:129

  transition 設定

  #### Parameters

  - ##### element: JQuery

  - ##### prop: string

  - ##### msec: number

  - ##### timingFunction: string

  #### Returns void

Generated using TypeDoc